: Class RequestEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http
Class RequestEvent

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.RequestEvent

Direct Known Subclasses:
  ConnectedEvent, ContinueEvent

public class RequestEvent
extends java.lang.Object

The base class for request events. Request events are emited to request observers (if available) while requests are being processed.

This class is the base class for all request events.

Field Summary
`int` | `code` The associated event code.
`static int` | `EVT_CLOSED` Error definition - The target server has improperly closed the connection.
`static int` | `EVT_CONNECTED` Status definition - Connection is now settle, about to emit the request to target host.
`static int` | `EVT_CONTINUE`
`static int` | `EVT_EMITED` Status definition - Request headers are now emited, the HttpManager is now waiting for the reply.
`static int` | `EVT_QUEUED` Status definition - The request is now queued for processing.
`static int` | `EVT_REPLIED` Status definition - Reply headers have been received, the reply will be handed out right after this to the observer.
`static int` | `EVT_UNREACHABLE`
`Request` | `request` The request that trigered the event.
`HttpServer` | `server` The server instance that issued the event.

Constructor Summary
`RequestEvent(HttpServer server, Request request, int code)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVT_QUEUED

    public static int EVT_QUEUED

  Status definition - The request is now queued for processing.

### EVT_CONNECTED

    public static int EVT_CONNECTED

  Status definition - Connection is now settle, about to emit the request to target host.

### EVT_EMITED

    public static int EVT_EMITED

  Status definition - Request headers are now emited, the HttpManager is now waiting for the reply.

### EVT_REPLIED

    public static int EVT_REPLIED

  Status definition - Reply headers have been received, the reply will be handed out right after this to the observer.

### EVT_CLOSED

    public static int EVT_CLOSED

  Error definition - The target server has improperly closed the connection.

### EVT_CONTINUE

    public static int EVT_CONTINUE

### EVT_UNREACHABLE

    public static int EVT_UNREACHABLE

### server

    public HttpServer server

  The server instance that issued the event.

### request

    public Request request

  The request that trigered the event.

### code

    public int code

  The associated event code.

Constructor Detail

### RequestEvent

    public RequestEvent(HttpServer server,
                        Request request,
                        int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD